Updates Product
Sample request:
PUT /products
{
"carton_quantity":1,
"cogs_ex":11.1,
"cubic":20.2,
"direct_costs_ex":1.1,
"prevent_disabling":false,
"promotional_price_inc":1.1,
"promotional_price_expiry":"2021-12-12T00:00:00",
"freight_inc":1.1,
"rrp_inc":1.1,
"sell_price_inc":1.1,
"web_price_inc":1.1,
"breadth":1.1,
"core_product":false,
"custom_properties": [
{
"Name": "Custom1",
"Value": "Value1"
},
{
"Name": "Custom2",
"Value": "Value2"
}
],
"depth":1.1,
"disabled":false,
"lead_time":12,
"length":1.1,
"loyalty_ratio":1.1,
"manufacturer_sku":"UniqueManufacturerSku",
"product_type":{
"id":3
},
"requires_assembly":false,
"require_serial_number":1,
"shipping_cubic":1.1,
"short_description":"ShortDescription",
"supplier":{
"supplier_code":"00"
},
"supplier_buy_ex":1.1,
"supplier_sku":"SupplierSKU1",
"supplier_sku2":"SupplierSKU2",
"weight":1.1,
"buy_price_ex" : 0.0000,
"attributes":[
{
"value":{
"id":1
},
"id":3
}
],
"long_description": "sample text",
"voucher_product" : false,
"max_discount_rule":{
"id": 1
},
"replenishment_method": {
"id": 1
},
"sales_channels":[
{
"id": 1,
"source_group":
{
"id": 1
},
"enabled": true
}],
"export_to_web": false ,
"external_links":[
{
"id": 1,
"url": "https://test1.com"
},
{
"id": 2,
"url": "https://test2.com"
},
{
"id": 3,
"url": "https://test3.com"
}
],
"fixed_price_groups": [
{
"id": 1,
"price_inc": 15.5
},
{
"id": 2,
"price_inc": null
}
]
}
Path Parameters
Product id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Product model
EmptyExample
Response
application/json
Response
Returns updated Product
Product
Product Model
Carton quantity
Cogs ex
Cubic
Direct costs
Is product disabled
Discount price
Discount price expiry
Freight inc
Price ex
Rpr inc
Sell Price, cannot be used along with markup_target
>= -922337203685477.6<= 922337203685477.6
Web price
Markup Target %, cannot be used along with sell_price_inc
Breadth
>= -9999.9999<= 9999.9999
Is core product flag
Custom Property Model
Show Child Parameters
Depth
>= -9999.9999<= 9999.9999
Disabled
Product id.
Lead time
Length
>= -9999.9999<= 9999.9999
Loyalty Ratio
Manufacture SKU
Product Type Model
Show Child Parameters
Requires Assembly
Shipping Cubic
>= -999999.9999<= 999999.9999
Product description.
Show Child Parameters
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU.
Supplier SKU2.
Weight
>= -99999999.9999<= 99999999.9999
Buy price ex
Long description
Voucher product
Max Discount Rule Model
Show Child Parameters
Show Child Parameters
Product attributes
Show Child Parameters
Created on
Modified on
Product Inventory Model
Show Child Parameters
Product Sales Chanels
Show Child Parameters
Export To Web
Package
Has Package Products
Last Processed Sold
Require SerialNumber
Last Fulfiled
Product External Links
Show Child Parameters
Product Fixed Price Groups
Show Child Parameters
Product Standart Price Groups
Show Child Parameters
Path Parameters
Headers
Body
Searches Product Barcodes by Product id and other parameters
Searches Product Barcodes by Product id and other parameters
Query Parameters
Product barcode name
Product barcode enabled
Created since
Modified since
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Product id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Barcodes data
ProductBarcode.PagingResponse
Product Barcode model
Show Child Parameters
Path Parameters
Query Parameters
Headers
Creates Product Barcode
Sample request:
POST /products/2/barcodes
{
"barcode": "BARCODENAME",
"enabled": true
}
Path Parameters
Product id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Product Barcode to be created
EmptyExample
Response
application/json
Response
Product Barcode was created
ProductBarcode
Product Barcode model
Product Barcode id.
Product Barcode name.
Match pattern:^[A-Za-z\d/-]*$
>= 0 characters<= 50 characters
Product Barcode enabled.
Product id
Date of creation of Product Barcode
Date of last modification of Product Barcode
Path Parameters
Headers
Body
Gets specific Product Barcode by unique Product Barcode id and Product id
Gets specific Product Barcode by unique Product Barcode id and Product id
Path Parameters
Product id
Product Barcode id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Barcode
ProductBarcode
Product Barcode model
Product Barcode id.
Product Barcode name.
Match pattern:^[A-Za-z\d/-]*$
>= 0 characters<= 50 characters
Product Barcode enabled.
Product id
Date of creation of Product Barcode
Date of last modification of Product Barcode
Path Parameters
Headers
Updates Product Barcode by Product id and Product Barcode id.
Sample request:
PUT /products/2/barcodes/1
{
"barcode": "BARCODENAME1",
"enabled": true
}
Path Parameters
Product id
Product Barcode id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Product Barcode model
EmptyExample
Response
application/json
Response
Product Barcode was updated
ProductBarcode
Product Barcode model
Product Barcode id.
Product Barcode name.
Match pattern:^[A-Za-z\d/-]*$
>= 0 characters<= 50 characters
Product Barcode enabled.
Product id
Date of creation of Product Barcode
Date of last modification of Product Barcode